cURL
curl --request POST \
--url https://api.recoupable.dev/api/chats \
--header 'Content-Type: application/json' \
--data '
{
"artistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "<string>"
}
'import requests
url = "https://api.recoupable.dev/api/chats"
payload = {
"artistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
artistId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chatId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
topic: '<string>'
})
};
fetch('https://api.recoupable.dev/api/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"chat": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z",
"artistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Chats
Create Chat
Create a new chat room. Optionally associate it with an artist and/or provide a client-generated chat ID. Pass accountId to create a chat on behalf of a specific account the API key has access to.
POST
/
api
/
chats
cURL
Body
application/json
Chat creation parameters
UUID of the artist account the chat is associated with
UUID for the new chat (client-generated). If not provided, one will be generated automatically.
UUID of the account to create the chat for. Only applicable when the authenticated account has access to multiple accounts via organization membership. If not provided, the chat is created for the API key's own account.
Topic name for the new chat room (e.g., 'Pulse Feb 2'). To edit the topic of an existing room, use PATCH /api/chats.
Was this page helpful?
⌘I
